# Generated from badmin-0.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name badmin

Name: rubygem-%{gem_name}
Version: 0.0.1
Release: 1%{?dist}
Summary: Badmin is a highly customizable CMS styled with Bootstrap. Designed to provide the basic functionality of a CMS, while being as lightweight as possible. By using Bootstrap layouts, we also reduce the tedious task of styling forms, tables and other views usually needed in a CMS
License: MIT
URL: http://stefanhagen.github.io/badmin
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(pg)
BuildArch: noarch

%description
Badmin is a highly customizable CMS styled with Bootstrap.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/MIT-LICENSE
%{gem_instdir}/app
%{gem_instdir}/config
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/test

%changelog
* Mon Apr 18 2022 mockbuilder - 0.0.1-1
- Initial package
